;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:umask
;
; PURPOSE:calcule umask
;
; CATEGORY:fonction economisatrice de memoire (plus besion de garder
; umask)  
;
; CALLING SEQUENCE:res=umask()
;
; INPUTS:
;
; KEYWORD PARAMETERS:
;
; OUTPUTS:un tableau 3d correspondant a umask
;
; COMMON BLOCKS:
;	common.pro
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; EXAMPLE:s''utilise comme si umask etait un tableau connu en
; replacant ds la syntaxe umask par umask(). par ex:
; au lieu de taper umask[domaineu] il faut taper (umask())[domaineu]

;
; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
;                       11/12/98
;                       ??/6/99 introduction du key_shift
;                       20/9/99 cas jpk=1 (merci jpblod@ipsl.jussieu.fr)
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION umask
;---------------------------------------------------------
;
  compile_opt idl2, strictarrsubs
;
@cm_4mesh
  IF NOT keyword_set(key_forgetold) THEN BEGIN
@updatenew
  ENDIF
;---------------------------------------------------------
  tempsun = systime(1)          ; pour key_performance
;
  CASE size(tmask, /n_dimensions) OF
    2:res = tmask*shift(tmask, -1, 0)
    3:res = tmask*shift(tmask, -1, 0, 0)
  ENDCASE
;   
  if NOT keyword_set(key_periodic) then res[jpi-1, *, *] = umaskred
  if keyword_set(key_performance) THEN print, 'temps umask', systime(1)-tempsun 
;
  return, res
end
